"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def reservations(hub, ctx, org: str, reservation: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        reservation(str): Reservation Identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.reservations.reservations(ctx, org=value, reservation=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.reservations.reservations org=value, reservation=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/reservations/{reservation}/mw".format(**{"org": org, "reservation": reservation}),
        query_params={},
        data={}
    )


async def window(hub, ctx, org: str, reservation: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        reservation(str): Reservation Identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.reservations.window(ctx, org=value, reservation=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.reservations.window org=value, reservation=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="put",
        path=ctx.acct.endpoint_url + "/orgs/{org}/reservations/{reservation}/mw".format(**{"org": org, "reservation": reservation}),
        query_params={},
        data={}
    )

